Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ogr2osm
Version:        1.2.0
Release:        alt1_3
Summary:        Convert ogr-readable files like shapefiles into .pbf or .osm data

License:        MIT
URL:            https://github.com/roelderickx/ogr2osm
Source0:        https://github.com/roelderickx/ogr2osm/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-module-pkg_resources python3-module-setuptools
Requires:       python3-module-gdal
Requires:       python3-module-lxml
Requires:       python3-module-protobuf
Source44: import.info

%description
ogr2osm will read any data source that ogr can read and handle reprojection
for you. It takes a python file to translate external data source tags into
OSM tags, allowing you to use complicated logic. If no translation is
specified it will use an identity translation, carrying all tags from the
source to the .pbf or .osm output.


%prep
%setup -q



%build
%python3_build


%install
%python3_install 


%files
%{_bindir}/%{name}
%{python3_sitelibdir_noarch}/%{name}
%{python3_sitelibdir_noarch}/%{name}-*.egg-info
%doc README.md
%doc --no-dereference LICENSE


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_3
- update to new release by fcimport

* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_1
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 1.1.2-alt1_5
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.1.2-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.1.2-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt1_4
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt1_3
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt1_2
- update to new release by fcimport

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.1.0-alt1_2
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.1.0-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.1-alt2_0.11.20200130gitf82e052
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2_0.10.20200130gitf82e052
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.10.20200130gitf82e052
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.9.20200130gitf82e052
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.8.20200130gitf82e052
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.7.20200130gitf82e052
- update to new release by fcimport

* Tue Oct 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.4.20190104git183e226
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_0.3.20190104git183e226
- new version

